GFXATTR(1)

NAME
gfxattr - Manipulate extended attributes in Gfarm file system

SYNOPSIS

gfxattr [-s | -g | -l | -r] [-x] [-c | -m] [-f xattrfile] file [xattrname]

DESCRIPTION

gfxattr manipulates extended attributes and XML extended attributes of a specified file. An extended attribute consists of an attribute name and an attribute value, which are arbitrary strings. An XML extended attribute is an extended attribute having an XML attribute value. Since XML extended attributes have a different name space from extended attributes, the same attribute name can be used.

When the -x option is specified, XML extended attributes are manipulated. It is possible to search XML extended attributes by XPath query using gffindxmlattr command.

All files and directories in Gfarm file system can keep extended attributes. When removing a file or directory, the associated extended attributes are also removed.

Either -s, -g, -l, or -r option should be specified.

OPTIONS

-s
    sets a new value with an extended attribute xattrname for a specified file. With the -f option, the value can be specified by the file xattrfile instead of by the standard input. When neither -c nor -m option is specified, the extended attribute is overwritten if it is already set.

-g
    reads a value with an extended attribute xattrname for a specified file.

-l
    display a list of extended attributes for a specified file.

-r
    removes a extended attribute xattrname for a specified file.

-x
    manipulates XML extended attributes.

-c
    sets a new extended attribute if it is not set. This option is used with the -s option.

-m
    modifies the extended attribute if there it is. This option is used with the -s option.

-f xattrfile
    With the -s option, reads an extended attribute from the specified xattrfile instead of from the standard input. With the -g option, writes the extended attribute to the specified xattrfile instead of to the standard output.

-?
    displays usage.

SEE ALSO

gffindxmlattr(1)